# deepin-initramfs-enhance

Help users to deal with failures during the initramfs boot phase.
When an error occurs during the initramfs boot phase, it will enter the UI provided by this program to assist the user to execute the fsck command to fix the problem.

## Dependencies

### Build dependencies

- [gettext](https://www.gnu.org/software/gettext/)
- [shellcheck](https://github.com/koalaman/shellcheck)

### Runtime dependencies

- [fbterm](https://salsa.debian.org/debian/fbterm)
- [dialog](https://invisible-island.net/dialog/dialog.html)
- [ttf-unifont](http://unifoundry.com/unifont/)
- [gettext-base](https://www.gnu.org/software/gettext/)
- [grub-common](https://www.gnu.org/software/grub/)

## Installation

### Build from source code

1. Make sure you have installed all dependencies.

2. Build:

```
$ cd deepin-initramfs-enhance
$ make
```

3. Install:

```
$ sudo make install
$ sudo update-initramfs -u -k all
```

## Usage

There are no commands available, proactively raised when an exception occurs.

## Getting help

You may find these channels useful if you encounter any other issues:

- [Gitter](https://gitter.im/orgs/linuxdeepin/rooms)
- [IRC Channel](https://webchat.freenode.net/?channels=deepin)
- [Official Forum](https://bbs.deepin.org/)
- [Wiki](https://wiki.deepin.org/)

## Getting involved

We encourage you to report issues and contribute changes

- [Contribution guide for developers](https://github.com/linuxdeepin/developer-center/wiki/Contribution-Guidelines-for-Developers-en). (English)
- [开发者代码贡献指南](https://github.com/linuxdeepin/developer-center/wiki/Contribution-Guidelines-for-Developers) (中文)

## License

deepin-initramfs-enhance is licensed under [GPL-3.0-or-later](LICENSE).
